/*
 * Copyright (c) 2010 RWTH Aachen University
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License version 2 as
 * published by the Free Software Foundation;
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *
 * Author: Hendrik vom Lehn <vomlehn@cs.rwth-aachen.de>
 */

// This driver is split in different modules (like many drivers for generic part and pci/cs (e.g. atmel*))
// Difference: real hardware uses memory and irqs for send/receive, which we don't have
// Instead function pointers (not exported) are exchanged during init

// wifi-emu.h: declarations needed for all modules
// wifi-emu.c: most of the code (including communication with network subsystem)
// wifi-emu-udp.c: communication dependent code for udp (uses functions of wifi-emu)

#ifndef _WIFI_EMU_H
#define _WIFI_EMU_H

// functions implemented in wifi-emu.c
int wifi_emu_init(void (*f_send_msg)(uint8_t *msg, int len));
void wifi_emu_cleanup(void);
void wifi_emu_recv_msg(uint8_t *msg, int len);

#endif // _WIFI_EMU_H

